<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Informe Crediticio</title>

<style>
  body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    background: #ffffff;
  }
  .container {
    max-width: 100%;
    margin: auto;
    background: #fff;
    padding: 0px;
  }
  .header, .section {
    background: #ffffff;
    margin-bottom: 10px;
    padding: 20px;
  }
  .section {
    background: #fff;
  }
  .row {
    display: flex;
    flex-wrap: wrap;
  }
  .column {
    flex: 40%;
    padding: 5px;
  }
  .info-box {
    background: #ffffff;
    padding: 10px;
    margin-bottom: 10px;
  }
  .info-box h3 {
    margin: 0;
    padding: 0;
  }
  /* Responsividad */
  @media (max-width: 100%) {
    .column {
      flex: 100%;
    }
  }
</style>
</head>
<body>
<script src="script.js"></script>
<div class="container">
  <div class="header">
    <h1>Información Principal</h1>
  </div>
  
  <div class="section">
    <div class="row" style="margin-left:10%;">
      <div class="column" >      
        <div class="info-box" >
            <div class="gauge">
                <div class="gauge__body">
                    <div class="gauge__fill"></div>
                    <div class="gauge__cover">735</div>
                </div>
            </div>
        
            <script>
                const gaugeElement = document.querySelector(".gauge");
                function setGaugeValue(gauge, value) {
                    if (value < 0 || value > 1) {
                        return;
                    }
                    gauge.querySelector(".gauge__fill").style.transform = `rotate(${value / 2}turn)`;
                    gauge.querySelector(".gauge__cover").textContent = `${Math.round(value * 100  * 24)}`
                }
                setGaugeValue(gaugeElement, 0.3);
            </script>
        </div>
        </div>
        </div>
        <div class="row" >
        <div class="column" >  
        <div class="info-box">
          <h3>Puntaje Infocheck</h3>
          <p>5,5 Muy bueno</p>
        </div>
        <div class="info-box">
          <h3>Renta líquida promedio</h3>
          <p>$3.470.094</p>
        </div>
      </div>
      <div class="column">
        <div class="info-box">
          <h3>Capacidad de pago mensual</h3>
          <p>$170.000</p>
        </div>
        <div class="info-box">
          <h3>Deuda directa CMF</h3>
          <p>$15.187.284</p>
        </div>
      </div>
    </div>
  </div>
  
  <!-- Repetir la estructura de .section para cada sección de la imagen proporcionada -->
  
</div>

</body>
</html>
